//////////////////////////////
/////// PAGE 1 (STATS) ///////
//////////////////////////////
unsigned long Page_1() {
  // always start with redrawing background, textcolor and textsize
  tft.fillScreen(background_color);
  tft.setTextColor(hud_color);
  tft.setTextSize(1);

  page_header(); // start page header

  ///////////////////////////
  /////// STATUS MENU ///////
  ///////////////////////////
  if (menu == 1) {
    ///////////////////////////
    /////// CND SUBMENU ///////
    ///////////////////////////
    if (submenu == 1) {
    // if CND is selected, next line should be active
      tft.drawRect(8, 26, 30, 15, hud_color);
      tft.setCursor(254, 30);
      tft.print("Stimpack S)");
      tft.setCursor(230, 70);
      tft.print("Doctor's Bag E)");

      // display vaultboy
      bmpDraw("HEALTH~1.BMP", 110, 60);

      // health meter head
      int health_head = 75;
      health_head = floor(health_head/5);
      tft.drawFastHLine(150, 47, 23, hud_color);
      tft.drawFastVLine(150, 47, 5, hud_color);
      tft.drawFastVLine(173, 47, 5, hud_color);
      tft.fillRect(152, 49, health_head, 3, hud_color);

      // health meter torso
      int health_torso = 100;
      health_torso = floor(health_torso/5);
      tft.drawFastHLine(150, 97, 23, hud_color);
      tft.drawFastVLine(150, 97, 5, hud_color);
      tft.drawFastVLine(173, 97, 5, hud_color);
      tft.fillRect(152, 99, health_torso, 3, hud_color);

      // health meter left arm
      int health_leftarm = 25;
      health_leftarm = floor(health_leftarm/5);
      tft.drawFastHLine(100, 77, 28, hud_color);
      tft.drawFastVLine(100, 77, 5, hud_color);
      tft.fillRect(102, 79, health_leftarm, 3, hud_color);
      tft.fillTriangle(123, 77, 123, 79, 125, 77, hud_color);

      // health meter left leg
      int health_leftleg = 10;
      health_leftleg = floor(health_leftleg/5);
      tft.drawFastHLine(100, 132, 28, hud_color);
      tft.drawFastVLine(100, 132, 5, hud_color);
      tft.fillRect(102, 134, health_leftleg, 3, hud_color);
      tft.fillTriangle(123, 132, 123, 134, 125, 132, hud_color);

      // health meter right arm
      int health_rightarm = 40;
      health_rightarm = floor(health_rightarm/5);
      tft.drawFastHLine(187, 77, 28, hud_color);
      tft.drawFastVLine(215, 77, 5, hud_color);
      tft.fillRect(194, 79, health_rightarm, 3, hud_color);
      tft.fillTriangle(192, 77, 192, 79, 190, 77, hud_color);

      // health meter right leg
      int health_rightleg = 60;
      health_rightleg = floor(health_rightleg/5);
      tft.drawFastHLine(187, 132, 28, hud_color);
      tft.drawFastVLine(215, 132, 5, hud_color);
      tft.fillRect(194, 134, health_rightleg, 3, hud_color);
      tft.fillTriangle(190, 132, 192, 134, 192, 132, hud_color);

      tft.setCursor(100, 175);
      tft.print("ZTiK.nl - Level 85");
    }
    tft.setCursor(14, 30);
    tft.print("CND");
    //////////////////////////////////
    /////// end of CND SUBMENU ///////
    //////////////////////////////////
    
    ///////////////////////////
    /////// RAD SUBMENU ///////
    ///////////////////////////
    if (submenu == 2) {
    // if RAD is selected, next line should be active
      tft.drawRect(8, 46, 30, 15, hud_color);
      tft.setCursor(260, 30);
      tft.print("RadAway A)");
      tft.setCursor(272, 70);
      tft.print("Rad-X X)");

      /////////////////////////////////////////////
      /////// RAD SUBMENU resist percentage ///////
      /////////////////////////////////////////////
      tft.setCursor(215, 163);
      tft.print("500");
      tft.setCursor(290, 163);
      tft.print("1000");
      tft.drawFastHLine(4, 175, 100, hud_color);
      tft.drawFastHLine(108, 175, 208, hud_color);
      tft.drawFastVLine(104, 175, 15, hud_color);
      tft.setCursor(4, 182);
      tft.print("RAD RESIST   43%");
      ////////////////////////////////////////////////////
      /////// end of RAD SUBMENU resist percentage ///////
      ////////////////////////////////////////////////////

      /////////////////////////////////
      /////// RAD SUBMENU ruler ///////
      /////////////////////////////////
      tft.setCursor(108, 182);
      tft.print("RADS");
      tft.fillTriangle(142, 175, 150, 175, 150, 183, hud_color);
      tft.drawFastVLine(160, 175, 4, hud_color);
      tft.drawFastVLine(170, 175, 4, hud_color);
      tft.drawFastVLine(180, 175, 8, hud_color);
      tft.drawFastVLine(190, 175, 4, hud_color);
      tft.drawFastVLine(200, 175, 4, hud_color);
      tft.drawFastVLine(210, 175, 8, hud_color);
      tft.drawFastVLine(220, 175, 4, hud_color);
      tft.drawFastVLine(230, 175, 4, hud_color);
      tft.drawFastVLine(240, 175, 8, hud_color);
      tft.drawFastVLine(250, 175, 4, hud_color);
      tft.drawFastVLine(260, 175, 4, hud_color);
      tft.drawFastVLine(270, 175, 8, hud_color);
      tft.drawFastVLine(280, 175, 4, hud_color);
      tft.drawFastVLine(290, 175, 4, hud_color);
      tft.fillTriangle(308, 175, 300, 175, 300, 183, hud_color);
      tft.drawFastVLine(316, 175, 15, hud_color);
      ////////////////////////////////////////
      /////// end of RAD SUBMENU ruler ///////
      ////////////////////////////////////////
    }
    tft.setCursor(14, 50);
    tft.print("RAD");
    //////////////////////////////////
    /////// end of RAD SUBMENU ///////
    //////////////////////////////////
    
    ///////////////////////////
    /////// EFF SUBMENU ///////
    ///////////////////////////
    if (submenu == 3) {
    // if EFF is selected, next line should be active
      tft.drawRect(8, 66, 30, 15, hud_color);
      // tft.drawRect(42, 116, 278, 34, RED);
      tft.setCursor(42, 120);
      tft.print("T-51b  Armor         STR +1, Rad. Res. +25");
      tft.drawFastHLine(42, 132, 274, hud_color);
      tft.setCursor(42, 138);
      tft.print("T-51b  Armor Helmet  Rad. Res. +8, CHR +1");
    }
    tft.setCursor(14, 70);
    tft.print("EFF");
    //////////////////////////////////
    /////// end of EFF SUBMENU ///////
    //////////////////////////////////
  }
  //////////////////////////////////
  /////// end of STATUS MENU ///////
  //////////////////////////////////

  ///////////////////////////////////
  /////// S.P.E.C.I.A.L. MENU ///////
  ///////////////////////////////////
  if (menu == 2) {
    ////////////////////////////////
    /////// STRENGTH SUBMENU ///////
    ////////////////////////////////
    if (submenu == 1) {
    // if Strength is selected, next line should be active
      tft.drawRect(8, 26, 94, 15, hud_color);
      tft.drawFastHLine(110, 140, 206, hud_color);
      tft.drawFastVLine(316, 140, 15, hud_color);
      tft.setCursor(110, 150);
      tft.println("Strength is a measure of your raw");
      tft.setCursor(110, 160);
      tft.println("physical power. It affects how");
      tft.setCursor(110, 170);
      tft.println("much you can carry, the power of");
      tft.setCursor(110, 180);
      tft.println("all melee attacks, and your");
      tft.setCursor(110, 190);
      tft.println("effectiveness with many heavy");
      tft.setCursor(110, 200);
      tft.println("weapons.");
    }
    tft.setCursor(14, 30);
    tft.print("Strength     5");
    ///////////////////////////////////////
    /////// end of STRENGTH SUBMENU ///////
    ///////////////////////////////////////

    //////////////////////////////////
    /////// PERCEPTION SUBMENU ///////
    //////////////////////////////////
    if (submenu == 2) {
    // if Perception is selected, next line should be active
      tft.drawRect(8, 46, 94, 15, hud_color);
      tft.drawFastHLine(110, 140, 206, hud_color);
      tft.drawFastVLine(316, 140, 15, hud_color);
      tft.setCursor(110, 150);
      tft.println("A high Perception grants a bonus");
      tft.setCursor(110, 160);
      tft.println("to the Explosives, Lockpick and");
      tft.setCursor(110, 170);
      tft.println("Energy Weapons skills, and");
      tft.setCursor(110, 180);
      tft.println("determines when red compass");
      tft.setCursor(110, 190);
      tft.println("markings appear (which indicate");
      tft.setCursor(110, 200);
      tft.println("threats).");
    }
    tft.setCursor(14, 50);
    tft.print("Perception   9");
    /////////////////////////////////////////
    /////// end of PERCEPTION SUBMENU ///////
    /////////////////////////////////////////

    /////////////////////////////////
    /////// ENDURANCE SUBMENU ///////
    /////////////////////////////////
    if (submenu == 3) {
    // if Endurance is selected, next line should be active
      tft.drawRect(8, 66, 94, 15, hud_color);
      tft.drawFastHLine(110, 140, 206, hud_color);
      tft.drawFastVLine(316, 140, 15, hud_color);
      tft.setCursor(110, 150);
      tft.println("Endurance is a measure of your");
      tft.setCursor(110, 160);
      tft.println("overall physical fitness. A high");
      tft.setCursor(110, 170);
      tft.println("Endurance gives bonuses to health,");
      tft.setCursor(110, 180);
      tft.println("environmental resistances, and the");
      tft.setCursor(110, 190);
      tft.println("Survival and Unarmed skills.");
    }
    tft.setCursor(14, 70);
    tft.print("Endurance    9");
    ////////////////////////////////////////
    /////// end of ENDURANCE SUBMENU ///////
    ////////////////////////////////////////
    
    ////////////////////////////////
    /////// CHARISMA SUBMENU ///////
    ////////////////////////////////
    if (submenu == 4) {
    // if Charisma is selected, next line should be active
      tft.drawRect(8, 86, 94, 15, hud_color);
      tft.drawFastHLine(110, 140, 206, hud_color);
      tft.drawFastVLine(316, 140, 15, hud_color);
      tft.setCursor(110, 150);
      tft.println("Having a high Charisma will");
      tft.setCursor(110, 160);
      tft.println("improve people's disposition");
      tft.setCursor(110, 170);
      tft.println("toward you, and give bonuses to");
      tft.setCursor(110, 180);
      tft.println("both the Barter and Speech skills.");
    }
    tft.setCursor(14, 90);
    tft.print("Charisma     7");
    ///////////////////////////////////////
    /////// end of CHARISMA SUBMENU ///////
    ///////////////////////////////////////
    
    ////////////////////////////////////
    /////// INTELLIGENCE SUBMENU ///////
    ////////////////////////////////////
    if (submenu == 5) {
    // if Intelligence is selected, next line should be active
      tft.drawRect(8, 106, 94, 15, hud_color);
      tft.drawFastHLine(110, 140, 206, hud_color);
      tft.drawFastVLine(316, 140, 15, hud_color);
      tft.setCursor(110, 150);
      tft.println("Intelligence affects the Science,");
      tft.setCursor(110, 160);
      tft.println("Repair and Medicine skills. The");
      tft.setCursor(110, 170);
      tft.println("higher your intelligence, the more");
      tft.setCursor(110, 180);
      tft.println("Skill Points you'll be able to");
      tft.setCursor(110, 190);
      tft.println("distribute when you level up.");
    }
    tft.setCursor(14, 110);
    tft.print("Intelligence 9");
    ///////////////////////////////////////////
    /////// end of INTELLIGENCE SUBMENU ///////
    ///////////////////////////////////////////
    
    ///////////////////////////////
    /////// AGILITY SUBMENU ///////
    ///////////////////////////////
    if (submenu == 6) {
    // if Agility is selected, next line should be active
      tft.drawRect(8, 126, 94, 15, hud_color);
      tft.drawFastHLine(110, 140, 206, hud_color);
      tft.drawFastVLine(316, 140, 15, hud_color);
      tft.setCursor(110, 150);
      tft.println("Agility affects your Guns and");
      tft.setCursor(110, 160);
      tft.println("Sneak skills, and the number of");
      tft.setCursor(110, 170);
      tft.println("Action Points available for");
      tft.setCursor(110, 180);
      tft.println("V.A.T.S.");
    }
    tft.setCursor(14, 130);
    tft.print("Agility      8");
    //////////////////////////////////////
    /////// end of AGILITY SUBMENU ///////
    //////////////////////////////////////
    
    ////////////////////////////
    /////// LUCK SUBMENU ///////
    ////////////////////////////
    if (submenu == 7) {
    // if Luck is selected, next line should be active
      tft.drawRect(8, 146, 94, 15, hud_color);
      tft.drawFastHLine(110, 140, 206, hud_color);
      tft.drawFastVLine(316, 140, 15, hud_color);
      tft.setCursor(110, 150);
      tft.println("Raising your Luck will raise all");
      tft.setCursor(110, 160);
      tft.println("of your skills a little. Having");
      tft.setCursor(110, 170);
      tft.println("a high Luck will also improve");
      tft.setCursor(110, 180);
      tft.println("your critical chance with all");
      tft.setCursor(110, 190);
      tft.println("weapons.");
    }
    tft.setCursor(14, 150);
    tft.print("Luck         9");
    ///////////////////////////////////
    /////// end of LUCK SUBMENU ///////
    ///////////////////////////////////
  }
  //////////////////////////////////////////
  /////// end of S.P.E.C.I.A.L. MENU ///////
  //////////////////////////////////////////


  ///////////////////////////////////
  /////// SKILLS MENU ///////
  ///////////////////////////////////
  if (menu == 3) {
    // display map
    bmpDraw("MAP.BMP", 70, 22);
  }
  //////////////////////////////////////////
  /////// end of SKILLS MENU ///////
  //////////////////////////////////////////


  /////////////////////////////////////////////////////////////
  /////// BOTTOM MENU of PAGE 1, leave as is, it works! ///////
  /////////////////////////////////////////////////////////////
  tft.drawFastVLine(4, 216, 15, hud_color);
  tft.drawFastVLine(316, 216, 15, hud_color);
  // line 8 of display
  tft.drawFastHLine(4, 231, 12, hud_color); // 4 + 12 + 4 = 20
  // if Status is selected, next line should be active
  if (menu == 1) {
    tft.drawRect(16, 223, 44, 15, hud_color); // - 4 + 40 + 4 = 64
  }
  tft.setCursor(20, 227);
  tft.print("Status"); // 40
  tft.drawFastHLine(60, 231, 5, hud_color); // 60 + 5 + 4 = 69
  // if S.P.E.C.I.A.L. is selected, next line should be active
  if (menu == 2) {
    tft.drawRect(65, 223, 92, 15, hud_color); // - 4 + 88 + 4 = 157
  }
  tft.setCursor(69, 227);
  tft.print("S.P.E.C.I.A.L."); // 88
  tft.drawFastHLine(157, 231, 5, hud_color); // 157 + 5 + 4 = 166
  // if Skills is selected, next line should be active
  if (menu == 3) {
    tft.drawRect(162, 223, 44, 15, hud_color); // - 4 + 40 + 4 = 206
  }
  tft.setCursor(166, 227);
  tft.print("Skills"); // 40
  tft.drawFastHLine(206, 231, 5, hud_color); // 206 + 5 + 4 = 215
  // if Perks is selected, next line should be active
  if (menu == 4) {
    tft.drawRect(211, 223, 38, 15, hud_color); // - 4 + 34 + 4 = 249
  }
  tft.setCursor(215, 227);
  tft.print("Perks"); // 34
  tft.drawFastHLine(249, 231, 5, hud_color); // 249 + 5 + 4 = 258
  // if General is selected, next line should be active
  if (menu == 5) {
    tft.drawRect(254, 223, 50, 15, hud_color); // - 4 + 46 + 4 = 304
  }
  tft.setCursor(258, 227);
  tft.print("General"); // 46
  tft.drawFastHLine(304, 231, 12, hud_color); // 304 + 12 + 4 = 320
  ////////////////////////////////////////////
  /////// end of BOTTOM MENU of PAGE 1 ///////
  ////////////////////////////////////////////
}
/////////////////////////////////////
/////// end of PAGE 1 (STATS) ///////
/////////////////////////////////////
