///////////////////////////////////
/////// PAGE 100 (SETTINGS) ///////
///////////////////////////////////
unsigned long Page_100() {
  // always start with redrawing background, textcolor and textsize
  tft.fillScreen(background_color);
  tft.setTextColor(hud_color);
  tft.setTextSize(1);

  tft.drawRect(20, 20, 280, 200, hud_color);

    ////////////////////////////
    /////// MUTE SUBMENU ///////
    ////////////////////////////
    if (mute == 0) {
      tft.fillRect(30, 30, 66, 13, background_color);
      tft.drawRect(30, 30, 66, 13, hud_color);
      tft.setTextColor(hud_color);
      tft.setCursor(33, 33);
      tft.print("MUTE (OFF)");
    } else {
      tft.fillRect(30, 30, 66, 13, hud_color);
      tft.drawRect(30, 30, 66, 13, background_color);
      tft.setTextColor(background_color);
      tft.setCursor(36, 33);
      tft.print("MUTE (ON)");
      tft.setTextColor(hud_color);
    }
    ///////////////////////////////////
    /////// end of MUTE SUBMENU ///////
    ///////////////////////////////////


  tft.fillRect(30, 50, 42, 13, background_color);
  tft.drawRect(30, 50, 42, 13, hud_color);
  tft.setTextColor(hud_color);
  tft.setCursor(33, 53);
  tft.print("Page 1");
  
  tft.fillRect(30, 70, 42, 13, background_color);
  tft.drawRect(30, 70, 42, 13, hud_color);
  tft.setTextColor(hud_color);
  tft.setCursor(33, 73);
  tft.print("Page 2");
  
  tft.fillRect(30, 90, 42, 13, background_color);
  tft.drawRect(30, 90, 42, 13, hud_color);
  tft.setTextColor(hud_color);
  tft.setCursor(33, 93);
  tft.print("Page 3");
  
  

  tft.setTextColor(hud_color);
  tft.setCursor(30, 150);
  tft.print("Choose HUD color:");
  tft.fillRect(30, 160, 10, 10, BLACK);
  tft.drawRect(30, 160, 10, 10, hud_color);
  tft.fillRect(45, 160, 10, 10, GREEN);
  tft.drawRect(45, 160, 10, 10, hud_color);
  tft.fillRect(60, 160, 10, 10, RED);
  tft.drawRect(60, 160, 10, 10, hud_color);
  tft.fillRect(75, 160, 10, 10, BLUE);
  tft.drawRect(75, 160, 10, 10, hud_color);
  tft.fillRect(90, 160, 10, 10, CYAN);
  tft.drawRect(90, 160, 10, 10, hud_color);
  tft.fillRect(105, 160, 10, 10, MAGENTA);
  tft.drawRect(105, 160, 10, 10, hud_color);
  tft.fillRect(120, 160, 10, 10, YELLOW);
  tft.drawRect(120, 160, 10, 10, hud_color);
  tft.fillRect(135, 160, 10, 10, PINK);
  tft.drawRect(135, 160, 10, 10, hud_color);
  tft.fillRect(150, 160, 10, 10, WHITE);
  tft.drawRect(150, 160, 10, 10, hud_color);
  
  tft.setTextColor(hud_color);
  tft.setCursor(30, 180);
  tft.print("Choose background color:");
  tft.fillRect(30, 190, 10, 10, BLACK);
  tft.drawRect(30, 190, 10, 10, hud_color);
  tft.fillRect(45, 190, 10, 10, GREEN);
  tft.drawRect(45, 190, 10, 10, hud_color);
  tft.fillRect(60, 190, 10, 10, RED);
  tft.drawRect(60, 190, 10, 10, hud_color);
  tft.fillRect(75, 190, 10, 10, BLUE);
  tft.drawRect(75, 190, 10, 10, hud_color);
  tft.fillRect(90, 190, 10, 10, CYAN);
  tft.drawRect(90, 190, 10, 10, hud_color);
  tft.fillRect(105, 190, 10, 10, MAGENTA);
  tft.drawRect(105, 190, 10, 10, hud_color);
  tft.fillRect(120, 190, 10, 10, YELLOW);
  tft.drawRect(120, 190, 10, 10, hud_color);
  tft.fillRect(135, 190, 10, 10, PINK);
  tft.drawRect(135, 190, 10, 10, hud_color);
  tft.fillRect(150, 190, 10, 10, WHITE);
  tft.drawRect(150, 190, 10, 10, hud_color);
}
//////////////////////////////////////////
/////// end of PAGE 100 (SETTINGS) ///////
//////////////////////////////////////////
